| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__AddCommunityGroupMemberRequest Struct Reference
Community Group

Add Community Group Member request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | SubscriberDN
| The subscriber that the community group is assigned to. More...
xsd__int | COMNumber
| The COM# of the community group member is the (index) number to be dialed after the one-way or two-way intercom access code. More...
xsd__string | DestinationNumber
| The destination number corresponding to the member of the community group. More...
xsd__string | DestinationName
| A description to the destination number. More...
xsd__boolean * | IncomingBlock
| Indicates whether an intercom call from this number is allowed or blocked. More...

## Detailed Description

Add Community Group Member request.

Used by unsp__AddCommunityGroupMember()

## Member Data Documentation

## ◆ COMNumber

xsd__int unsp__AddCommunityGroupMemberRequest::COMNumber

The COM# of the community group member is the (index) number to be dialed after the one-way or two-way intercom access code.

required: true
default value[range]: 0 [0..99]

## ◆ DestinationName

xsd__string unsp__AddCommunityGroupMemberRequest::DestinationName

A description to the destination number.

required: false
default value[range]: NA [1.50]

## ◆ DestinationNumber

xsd__string unsp__AddCommunityGroupMemberRequest::DestinationNumber

The destination number corresponding to the member of the community group.

The destination number must refer to a translatable/routable Openscape Voice destination.
required: true
default value[range]: NA [1..30]

## ◆ IncomingBlock

xsd__boolean* unsp__AddCommunityGroupMemberRequest::IncomingBlock

Indicates whether an intercom call from this number is allowed or blocked.

required: false
default value[range]: false

## ◆ OperatorId

xsd__string unsp__AddCommunityGroupMemberRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ SubscriberDN

xsd__string unsp__AddCommunityGroupMemberRequest::SubscriberDN

The subscriber that the community group is assigned to.

required: true

See also
  unsp__ServiceId

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h